Puzzle / Developers
API referenceMetrics

Get Spending Metrics

GET /company/{id}/metrics/spending

GET/company/{id}/metrics/spending

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

startDate*string

Calendar date, YYYY-MM-DD

Length1 <= length
endDateExclusive?string

Calendar date, YYYY-MM-DD

Length1 <= length
interval?"month"

The value is normalized before matching, so any casing that maps onto a listed value is accepted.

Value in

  • "month"

Response Body

application/json

curl -X GET "https://example.com/company/string/metrics/spending?startDate=string"
{  "startPeriod": "string",  "endPeriod": "string",  "payrollMetrics": [    {      "period": "string",      "payrollSpending": {        "departments": [          {            "name": "string",            "amount": {              "amount": "string",              "currency": "str"            },            "headCount": 0          }        ],        "numericSummary": {          "netPay": {            "amount": "string",            "currency": "str"          },          "employerTaxes": {            "amount": "string",            "currency": "str"          },          "employeeTaxes": {            "amount": "string",            "currency": "str"          },          "benefits": {            "amount": "string",            "currency": "str"          },          "employeeBenefitsDeductions": {            "amount": "string",            "currency": "str"          },          "contractorNetPay": {            "amount": "string",            "currency": "str"          }        }      }    }  ],  "nonPayrollMetrics": [    {      "period": "string",      "nonPayrollSpending": {        "topVendors": [          {            "vendor": {              "id": "string",              "name": "string",              "is1099Vendor": "Yes"            },            "amount": {              "amount": "string",              "currency": "str"            },            "count": 0          }        ],        "topCategories": [          {            "ledgerCoaKey": "string",            "amount": {              "amount": "string",              "currency": "str"            },            "count": 0          }        ],        "allOtherVendors": {          "amount": "string",          "currency": "str"        },        "allOtherCategories": {          "amount": "string",          "currency": "str"        }      }    }  ]}

Schema refreshed 2026-11-11T18:57:48.657Z